Package org.codehaus.janino.util

# Class ClassFile.ExceptionsAttribute

java.lang.Object
org.codehaus.janino.util.ClassFile.AttributeInfo
org.codehaus.janino.util.ClassFile.ExceptionsAttribute

Enclosing class:
  `ClassFile`

public static class ClassFile.ExceptionsAttribute extends ClassFile.AttributeInfo
Representation of an `Exceptions` attribute (see JVMS 4.7.4).

## Constructor Summary

Constructors
Constructor
Description
`ExceptionsAttribute(short attributeNameIndex, short[] exceptionIndexes)`

## Method Summary

Modifier and Type
Method
Description
`ClassFile.ConstantClassInfo[]`
`getExceptions(ClassFile classFile)`
`protected void`
`storeBody(DataOutputStream dos)`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

### Methods inherited from class org.codehaus.janino.util.ClassFile.AttributeInfo

`store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionsAttribute

public ExceptionsAttribute(short attributeNameIndex, short[] exceptionIndexes)

## Method Details

### getExceptions

public ClassFile.ConstantClassInfo[] getExceptions(ClassFile classFile)

Returns:
  The exception types contained in this `ClassFile.ExceptionsAttribute`

### storeBody

protected void storeBody(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.AttributeInfo`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

Specified by:
  `storeBody` in class `ClassFile.AttributeInfo`
Throws:
  `IOException`